Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Fri, 23 Nov 2018 08:39:49 +0100

>> This means, however, that it would skip the
 >> 'switch-to-buffer-in-dedicated-window' rigmarole.  It wouldn't make
 >> sense because 'pop-to-buffer-same-window' would probably use
 >> a completely different window anyway.  Right?
 >
 > 'switch-to-buffer-in-dedicated-window' is only used in the
 > interactive spec.

Would we avoid that 'switch-to-buffer-pop-to' affects C-x b?

 > But anyway 'display-buffer' called from
 > 'pop-to-buffer-same-window' will handle dedicatedness in any case.

Not the way 'switch-to-buffer' does it.  Anyway, if you know what you
want, please write the code.  We can iron out any differences in the
doc-strings, if needed.

martin